#comment out if not pre-release
#define prel     rc3

%define rel      1

Name:           xdg-utils
Version:        1.1.2
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Interfaces and Tools for easy integration with the free desktop configuration
License:        MIT
Url:            http://portland.freedesktop.org/wiki/
Group:          System/Base
Source0:        http://portland.freedesktop.org/download/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch0:         xdg-utils-1.1.1-email_loop.patch
Patch1:         xdg-utils-1.1.0-rc3-email_silent_errors.patch
# For: MGA #7848 , MGA #4027.
Patch2:         xdg-utils-1.1.0-rc3-inhibit-screensaver.patch
# Fix for MGA #15286
# So chromium-browser won't put a dialog on LXDE (and other unrecognised
# desktop environments) when it's not the default browser.
Patch8:         xdg-utils-1.1.0-rc3-silence-dialog-with-chromium-browser-on-lxde.patch
BuildArch:      noarch
BuildRequires:  libxslt-proc
BuildRequires:  gawk
BuildRequires:  xmlto
BuildRequires:  docbook-dtd412-xml
BuildRequires:  docbook-style-xsl
Requires:       desktop-file-utils
Requires:       xprop
Requires:       xset

%description
This version of xdg-utils contains the following commands:
xdg-desktop-menu:       command line tool for (un)installing
                        desktop menu items
xdg-desktop-icon:       command line tool for (un)installing
                        icons to the desktop
xdg-mime:               command line tool for querying information
                        about file type handling and adding
                        descriptions for new file types
xdg-icon-resource:      command line tool for (un)installing icon resources
xdg-open:               opens a file or URL in the user's preferred
                        application
xdg-email:              command line tool for sending mail using the user's
                        preferred
                        e-mail composer
xdg-su:                 run a program as root after prompting for the root
                        password
xdg-screensaver:        command line tool for controlling the screensaver

Testsuite for xdg-utils is available from
http://portland.freedesktop.org/wiki/TestSuite

%files
%doc README TODO RELEASE_NOTES
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_bindir}/xdg-settings
#%{_bindir}/xdg-terminal
%{_mandir}/man1/xdg-desktop-icon.*
%{_mandir}/man1/xdg-desktop-menu.*
%{_mandir}/man1/xdg-email.*
%{_mandir}/man1/xdg-icon-resource.*
%{_mandir}/man1/xdg-mime.*
%{_mandir}/man1/xdg-open.*
%{_mandir}/man1/xdg-screensaver.*
%{_mandir}/man1/xdg-settings.*
#%{_mandir}/man1/xdg-terminal.*

#-------------------------------------------------------------------------------#


%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

%build
%configure2_5x
%make
%make -C scripts

%install
%makeinstall_std


%changelog
* Tue May 23 2017 luigiwalser <luigiwalser> 1.1.2-1.mga6
+ Revision: 1104172
- 1.1.2

* Sat Feb 20 2016 umeabot <umeabot> 1.1.1-2.mga6
+ Revision: 971716
- Mageia 6 Mass Rebuild

* Sat Oct 17 2015 wally <wally> 1.1.1-1.mga6
+ Revision: 892384
- new version 1.1.1
- drop patches from upstream
- rediff others if needed

* Fri Oct 16 2015 blino <blino> 1.1.0-0.0.rc3.6.mga6
+ Revision: 891964
- make the package noarch (bins are shell scripts, not dependant on arch)

* Mon Feb 16 2015 shlomif <shlomif> 1.1.0-0.0.rc3.5.mga5
+ Revision: 815198
- Fix for MGA #15286

* Mon Jan 19 2015 wally <wally> 1.1.0-0.0.rc3.4.mga5
+ Revision: 811494
- add patches from upstream
  * dereference symlinks when using mimetype or file (fdo#39923)
  * change screensaver_freedesktop's interpretation of GetActive (fdo#29859)
  * improve command injection vulnerability fix (CVE-2014-9622, mga#14932, fdo#66670)

* Mon Jan 05 2015 wally <wally> 1.1.0-0.0.rc3.3.mga5
+ Revision: 808699
- add patch from upstream git to improve screensaver handling in Xfce (fdo#80089)
- another try to fix command injection vulnerability (CVE-2014-9622, mga#14932, fdo#66670)

* Sun Jan 04 2015 wally <wally> 1.1.0-0.0.rc3.2.mga5
+ Revision: 808354
- add patch from upstream bugzilla to fix command injection vulnerability (CVE-2014-9622, mga#14932, fdo#66670)

* Sat Jan 03 2015 wally <wally> 1.1.0-0.0.rc3.1.mga5
+ Revision: 808318
- new version 1.1.0 rc3
- add some %%doc files
- rediff patches

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-0.0.git20121008.6.mga5
+ Revision: 748885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-0.0.git20121008.5.mga5
+ Revision: 690581
- Mageia 5 Mass Rebuild

* Sat May 03 2014 shlomif <shlomif> 1.1.0-0.0.git20121008.4.mga5
+ Revision: 619761
- Fix too long summary
- Fix mixed tabs and spaces in the .spec
- Remove trailing space
- Add patch to inhibit screensaver correctly (mga#7848)

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-0.0.git20121008.3.mga4
+ Revision: 520519
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-0.0.git20121008.2.mga3
+ Revision: 386716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 wally <wally> 1.1.0-0.0.git20121008.1.mga3
+ Revision: 310705
- use latest git snapshot

* Wed Feb 15 2012 ovitters <ovitters> 1.1.0-0.rc1.2.mga2
+ Revision: 209257
- clean spec

* Fri Jan 07 2011 dmorgan <dmorgan> 1.1.0-0.rc1.1.mga1
+ Revision: 209
- imported package xdg-utils

